Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.fetcher
Class FetcherException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.blojsom.BlojsomException
                  org.blojsom.fetcher.FetcherException

All Implemented Interfaces:
  java.io.Serializable

public class FetcherException
extends BlojsomException

FetcherException

Since:
  blojsom 3.0
Version:
  $Id: FetcherException.java,v 1.1 2006/03/20 21:31:14 czarneckid Exp $
Author:
  David Czarnecki
See Also:
  Serialized Form

Constructor Summary
`FetcherException()` Constructs a new exception with `null` as its detail message.
`FetcherException(java.lang.String message)` Constructs a new exception with the specified detail message.
`FetcherException(java.lang.String message, java.lang.Throwable cause)` Constructs a new exception with the specified detail message and cause.
`FetcherException(java.lang.Throwable cause)` Constructs a new exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FetcherException

    public FetcherException()

  Constructs a new exception with `null` as its detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.

### FetcherException

    public FetcherException(java.lang.String message)

  Constructs a new exception with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.

Parameters:
  `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.

### FetcherException

    public FetcherException(java.lang.String message,
                            java.lang.Throwable cause)

  Constructs a new exception with the specified detail message and cause.

  Note that the detail message associated with `cause` is not automatically incorporated in this exception's detail message.

Parameters:
  `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
  `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

### FetcherException

    public FetcherException(java.lang.Throwable cause)

  Constructs a new exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`). This constructor is useful for exceptions that are little more than wrappers for other throwables (for example, `PrivilegedActionException`).

Parameters:
  `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD